Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.policy
Interface PolicyServiceMBean

public interface PolicyServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `deleteApplicationRuleFile(String plugInType)` Deletes application rules.
`void` | `deleteServiceProviderRuleFile(String plugInType)` Deletes service provider rules.
`String[]` | `listApplicationRuleFiles()` Lists all existing application rules.
`String[]` | `listServiceProviderRuleFiles()` Lists all existing service provider rules.
`void` | `loadApplicationRules(String irlUrl, String plugInType)` Loads new application rules.
`void` | `loadServiceProviderRules(String irlUrl, String plugInType)` Loads service provider rules.
`String` | `viewApplicationRuleFile(String plugInType)` Gets the application rules for a particular service.
`String` | `viewServiceProviderRuleFile(String plugInType)` Gets the service provider rules for a particular service.

Method Detail

### deleteApplicationRuleFile

    public void deleteApplicationRuleFile(String plugInType)
                                   throws ManagementException

  Deletes application rules.

  Parameters:
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

### deleteServiceProviderRuleFile

    public void deleteServiceProviderRuleFile(String plugInType)
                                       throws ManagementException

  Deletes service provider rules.

  Parameters:
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

### listApplicationRuleFiles

    public String[] listApplicationRuleFiles()
                                      throws ManagementException

  Lists all existing application rules.

  Throws:
    `ManagementException`

### listServiceProviderRuleFiles

    public String[] listServiceProviderRuleFiles()
                                          throws ManagementException

  Lists all existing service provider rules.

  Throws:
    `ManagementException`

### loadApplicationRules

    public void loadApplicationRules(String irlUrl,
                                     String plugInType)
                              throws ManagementException

  Loads new application rules.

  Parameters:
    `irlUrl` - A string holding the URL where the rule file can be found.
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

### loadServiceProviderRules

    public void loadServiceProviderRules(String irlUrl,
                                         String plugInType)
                                  throws ManagementException

  Loads service provider rules.

  Parameters:
    `irlUrl` - A string holding the URL where the rule file can be found.
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

### viewApplicationRuleFile

    public String viewApplicationRuleFile(String plugInType)
                                   throws ManagementException

  Gets the application rules for a particular service.

  Parameters:
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

### viewServiceProviderRuleFile

    public String viewServiceProviderRuleFile(String plugInType)
                                       throws ManagementException

  Gets the service provider rules for a particular service.

  Parameters:
    `plugInType` - Plug-in type.
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD